package com.bonus.canteen.core.supply.purchase.domain.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class DrpMaterialInquiryDetailModel {
   @ApiModelProperty("货品招标明细id")
   private Long materialInquiryDetailId;
   @ApiModelProperty("货品id")
   private Long materialId;
   @ApiModelProperty("意向中标价")
   private Integer targetPrice;
   private Long unitId;

   public Long getMaterialInquiryDetailId() {
      return this.materialInquiryDetailId;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public Integer getTargetPrice() {
      return this.targetPrice;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public DrpMaterialInquiryDetailModel setMaterialInquiryDetailId(final Long materialInquiryDetailId) {
      this.materialInquiryDetailId = materialInquiryDetailId;
      return this;
   }

   public DrpMaterialInquiryDetailModel setMaterialId(final Long materialId) {
      this.materialId = materialId;
      return this;
   }

   public DrpMaterialInquiryDetailModel setTargetPrice(final Integer targetPrice) {
      this.targetPrice = targetPrice;
      return this;
   }

   public DrpMaterialInquiryDetailModel setUnitId(final Long unitId) {
      this.unitId = unitId;
      return this;
   }
}
